summaryrefslogtreecommitdiffstats
path: root/libraries
diff options
context:
space:
mode:
author Larry Hajali <larryhaja@gmail.com>2015-01-18 07:04:59 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-01-18 07:04:59 +0700
commit7e18e06f207ccb01740573998b8a8e09866804b0 (patch)
tree574f9e7d4be54e957af696dd2e39f8fb256eb386 /libraries
parent74f89b26c070f48a7064537d1553f4d87b9bf89a (diff)
downloadslackbuilds-7e18e06f207ccb01740573998b8a8e09866804b0.tar.gz
slackbuilds-7e18e06f207ccb01740573998b8a8e09866804b0.tar.xz
libraries/http-parser: Added (HTTP request/response parser).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'libraries')
-rw-r--r--libraries/http-parser/README2
-rw-r--r--libraries/http-parser/http-parser.SlackBuild94
-rw-r--r--libraries/http-parser/http-parser.info10
-rw-r--r--libraries/http-parser/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/libraries/http-parser/README b/libraries/http-parser/README
new file mode 100644
index 0000000000..b6a8d90f01
--- /dev/null
+++ b/libraries/http-parser/README
@@ -0,0 +1,2 @@
+http-parser for HTTP messages written in C. It parses both requests and
+responses. The parser is designed to be used in performance HTTP applications.
diff --git a/libraries/http-parser/http-parser.SlackBuild b/libraries/http-parser/http-parser.SlackBuild
new file mode 100644
index 0000000000..0ee475b82b
--- /dev/null
+++ b/libraries/http-parser/http-parser.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+
+# Slackware build script for http-parser
+
+# Copyright 2015 Larry Hajali <larryhaja[at]gmail[dot]com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=http-parser
+VERSION=${VERSION:-2.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz 2>/dev/null || tar xvf $CWD/v${VERSION}.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" make library
+
+# Manually install library.
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX} $PKG/usr/include
+install -m 0755 lib${PRGNAM/-/_}.so.$VERSION $PKG/usr/lib${LIBDIRSUFFIX}
+install -m 0644 ${PRGNAM/-/_}.h $PKG/usr/include
+ln -s /usr/lib${LIBDIRSUFFIX}/lib${PRGNAM/-/_}.so.$VERSION \
+ $PKG/usr/lib${LIBDIRSUFFIX}/lib${PRGNAM/-/_}.so.${VERSION%%\.*}
+ln -s /usr/lib${LIBDIRSUFFIX}/lib${PRGNAM/-/_}.so.$VERSION \
+ $PKG/usr/lib${LIBDIRSUFFIX}/lib${PRGNAM/-/_}.so
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CONTRIBUTIONS LICENSE-MIT README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/http-parser/http-parser.info b/libraries/http-parser/http-parser.info
new file mode 100644
index 0000000000..af0a805fff
--- /dev/null
+++ b/libraries/http-parser/http-parser.info
@@ -0,0 +1,10 @@
+PRGNAM="http-parser"
+VERSION="2.3"
+HOMEPAGE="https://github.com/joyent/http-parser"
+DOWNLOAD="https://github.com/joyent/http-parser/archive/v2.3.tar.gz"
+MD5SUM="2c4092f5c2dc99798fe28e9c0647e869"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
diff --git a/libraries/http-parser/slack-desc b/libraries/http-parser/slack-desc
new file mode 100644
index 0000000000..68eecf1288
--- /dev/null
+++ b/libraries/http-parser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+http-parser: http-parser (HTTP request/response parser for c)
+http-parser:
+http-parser: http-parser for HTTP messages written in C. It parses both requests
+http-parser: and responses. The parser is designed to be used in performance HTTP
+http-parser: applications.
+http-parser:
+http-parser: Homepage: https://github.com/joyent/http-parser
+http-parser:
+http-parser:
+http-parser:
+http-parser: